<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Attributes\Guarded;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\MorphTo;

#[Guarded(['id'])]
class PushSubscription extends Model
{
    use HasFactory;

    public function user(): MorphTo
    {
        return $this->morphTo();
    }
}
